/**
 *
 */
package org.gcube.portlets.widgets.mpformbuilder.shared.upload;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;


/**
 * The Class FileUploaded.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Oct 8, 2020
 */
public class FileUploaded implements Serializable, IsSerializable{
	

	/**
	 * 
	 */
	private static final long serialVersionUID = -7869956386977214114L;

	/** The file name. */
	private String fileName;
	
	/** The item id. */
	private String tempSystemPath;
	
	private String createdByUser;

	/**
	 * Instantiates a new workspace upload file.
	 */
	public FileUploaded() {
	}
	
	
	/**
	 * Instantiates a new workspace upload file.
	 *
	 * @param fileName the file name
	 * @param tempSystemPath the temp system path
	 * @param createdByUser the created by user
	 */
	public FileUploaded(String fileName, String tempSystemPath, String createdByUser) {
		super();
		this.fileName = fileName;
		this.tempSystemPath = tempSystemPath;
		this.createdByUser = createdByUser;
	}

	/**
	 * Gets the file name.
	 *
	 * @return the file name
	 */
	public String getFileName() {
		return fileName;
	}



	/**
	 * Sets the file name.
	 *
	 * @param fileName the new file name
	 */
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}



	/**
	 * Gets the temp system path.
	 *
	 * @return the temp system path
	 */
	public String getTempSystemPath() {
		return tempSystemPath;
	}



	/**
	 * Sets the temp system path.
	 *
	 * @param tempSystemPath the new temp system path
	 */
	public void setTempSystemPath(String tempSystemPath) {
		this.tempSystemPath = tempSystemPath;
	}



	/**
	 * Gets the created by user.
	 *
	 * @return the created by user
	 */
	public String getCreatedByUser() {
		return createdByUser;
	}



	/**
	 * Sets the created by user.
	 *
	 * @param createdByUser the new created by user
	 */
	public void setCreatedByUser(String createdByUser) {
		this.createdByUser = createdByUser;
	}


	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("FileUploaded [fileName=");
		builder.append(fileName);
		builder.append(", tempSystemPath=");
		builder.append(tempSystemPath);
		builder.append(", createdByUser=");
		builder.append(createdByUser);
		builder.append("]");
		return builder.toString();
	}
	
}
